Subject: Re: [PATCH 10/11] PCI: mvebu: Implement support for legacy INTx interrupts

From: Marc Zyngier <[email-masked]>
Date: Thu, 06 Jan 2022 17:31:36 +0000

On Thu, 06 Jan 2022 17:20:44 +0000,
Marek Behún <[email-masked]> wrote:
> 
> On Thu, 06 Jan 2022 16:27:44 +0000
> Marc Zyngier <[email-masked]> wrote:
> > You are completely missing my point. I'm talking about data
> > structures, you're talking about interrupts. You have this:
> > 
> > struct mvebu_pcie_port {
> >        // Tons of stuff
> >        struct irq_chip intx_chip;
> > };
> > 
> > What I want you to do is:
> > 
> > struct mvebu_pcie_port {
> >        // Tons of stuff
> > };
> > 
> > static struct irq_chip intx_chip = {
> > 	.name		= "INTx",
> > 	.irq_mask	= mvebu_pcie_intx_irq_mask,
> > 	.irq_unmask	= mvebu_pcie_intx_irq_unmask;
> > };
> > 
> > That's it. No more, no less.
> > 
> > 	M.
> > 
> 
> Hmm, but struct irq_chip contains a dynamic member,
>   struct device *parent_device;
> Isn't that used? Or are you planning to kill it?

Indeed, and I am definitely planning to kill it. This is the wrong
place for this stuff, and I want it gone. There are thankfully very
few users of this misfeature.

	M.

-- 
Without deviation from the norm, progress is not possible.

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel